<?php

/**
 * @file
 * Configuration file for the whisper module.
 */

/**
 * Form builder; Configure settings.
 *
 * @ingroup forms
 * @see whisper_config_form_submit()
 * @return
 * Form.
 */
function whisper_config_form($context) {	
	// Create a fieldset for the body:
	$form['config'] = array(
		'#type' => 'fieldset',
		'#title' => t('Configure'),
	);
	
	$form['config']['seal'] = array(
		'#type' => 'radios',
		'#title' => t('Default seal setting'),
  		'#default_value' => variable_get('whisper_seal', 0), 
		'#options' => array(t('Not Selected'), t('Selected')),
	);
	
	$form['config']['subject'] = array(
		'#type' => 'radios',
		'#title' => t('Seal comment title'),
  		'#default_value' => variable_get('whisper_subject', 0), 
		'#options' => array(t('No'), t('Yes')),
	);
	
	$form['config']['anonymous'] = array(
		'#type' => 'radios',
		'#title' => t('Seal anonymous comments'),
  		'#default_value' => variable_get('whisper_anonymous', 1), 
		'#options' => array(t('No'), t('Yes')),
	);
	
	// Finally, a submit button:
	$form['submit'] = array(
		'#type' => 'submit',
		'#value' => t('Save configuration'),
	);
	
	return $form;
}

/**
 * Form submission handler, which functions like a hook.
 * Note that the params $form and &$form_state are new in D6. They
 * replace $form_id and $form_values.
 */
function whisper_config_form_submit($form, &$form_state) {
	variable_set('whisper_seal', $form_state['values']['seal']);
	variable_set('whisper_subject', $form_state['values']['subject']);
	variable_set('whisper_anonymous', $form_state['values']['anonymous']);
	drupal_set_message(t('Settings saved'), 'status');
}