<?php
function _whisper_form_alter(&$form, $form_state, $form_id) {
	if (user_is_anonymous()){
		// Check for configuration setting whether to seal anonymous comments
		if (variable_get('whisper_anonymous', 1)){
			// This is a value only -- equivalent to a hidden field, except it is never rendered into the HTML.
			$form['sealed'] = array(
				'#type' => 'value',
				'#value' => 1,
			);
		}
	}
	else {
		// Get value for database when editing comment
		if ($form['cid']['#value']){
			$sealed = db_result(db_query("SELECT sealed FROM {whisper} WHERE cid = %d", $form['cid']['#value']));
		}
		else {
			$sealed = variable_get('whisper_seal', 0);
		}
			
		// Users may choose to seal their comments
		$form['sealed'] = array(
			'#type' => 'checkbox',
			'#title' => t('Sealed'),
			'#return_value' => 1,
			'#default_value' => $sealed
		);
		unset($sealed); // Destroy variable
	}
}