<?php
function _whisper_comment($comment, $op){	
	switch ($op) {
		// Insert new row or update existing row when saving comment
		case 'insert':
		case 'update':
			db_query(
				'INSERT INTO {whisper} (cid, nid, sealed) '
					."VALUES (%d, %d, %d) "
					."ON DUPLICATE KEY UPDATE sealed = %d",
				$comment['cid'],
				$comment['nid'],
				$comment['sealed'],
				$comment['sealed']
			);
			break;
      	case 'view':
			// Get sealed status of current comment
			$sealed = db_result(db_query("SELECT sealed FROM {whisper} WHERE cid = %d", $comment->cid));
			
			// If user does not have the appropriate permission, do not show sealed comments
			if (!(user_access('access sealed comments') || user_access('administer comments'))){
				if ($sealed){
					// Anonymous users who have posted cannot see sealed comments even though they are the authors
					if ($GLOBALS['user']->uid == 0 && $comment->uid == 0){
						$comment->subject = t('Sealed');
						$comment->comment = t('Sealed');
					}
					else {
						// Get node author uid
						$creator = db_result(db_query("SELECT uid FROM {node} WHERE nid = %d", $comment->nid));
						// Only comment authors, node authors may view sealed posts
						if (!($creator == $GLOBALS['user']->uid || $comment->uid == $GLOBALS['user']->uid)) {
							// Check if configuration requires comment title to be sealed
							if (variable_get('whisper_subject', 0)){
								$comment->subject = t('Sealed');
							}
							$comment->comment = t('Sealed');
						}
						unset($creator);
					}
				}
			}
			unset($sealed);
			break;
		case 'delete':
			// Delete row when comment is deleted
			db_query('DELETE FROM {whisper} WHERE cid = %d', $comment->cid);
			break;
  	}
}